<?php



function WPCLICKPARTNERS_add_post_type() {

  // Register CPT 1  

  $labels = array(

    'name' => _x( WPCLICKPARTNERS_CPT_LABEL, 'post type general name', WPCLICKPARTNERS_NAME),

    'singular_name' => _x( WPCLICKPARTNERS_CPT_LABEL, 'post type singular name', WPCLICKPARTNERS_NAME),

    'add_new' => _x('Add New', WPCLICKPARTNERS_CPT_LABEL, WPCLICKPARTNERS_NAME),

    'add_new_item' => __('Add New '.WPCLICKPARTNERS_CPT_LABEL, WPCLICKPARTNERS_NAME),

    'edit_item' => __('Edit '.WPCLICKPARTNERS_CPT_LABEL, WPCLICKPARTNERS_NAME),

    'new_item' => __('New '.WPCLICKPARTNERS_CPT_LABEL, WPCLICKPARTNERS_NAME),

    'all_items' => __('All '.WPCLICKPARTNERS_CPT_LABEL.'s', WPCLICKPARTNERS_NAME),

    'view_item' => __('View '.WPCLICKPARTNERS_CPT_LABEL, WPCLICKPARTNERS_NAME),

    'search_items' => __('Search '.WPCLICKPARTNERS_CPT_LABEL.'s', WPCLICKPARTNERS_NAME),

    'not_found' =>  __('No '.WPCLICKPARTNERS_CPT_LABEL.' found', WPCLICKPARTNERS_NAME),

    'not_found_in_trash' => __('No '.WPCLICKPARTNERS_CPT_LABEL.' found in Trash', WPCLICKPARTNERS_NAME), 

    'parent_item_colon' => '',

    'menu_name' => __( 'WPClickPartners', WPCLICKPARTNERS_NAME)



  );

  $args = array(

    'labels' => $labels,

    'public' => true,

    'publicly_queryable' => true,

    'show_ui' => true, 

    'show_in_menu' => true, 

    'query_var' => true,

    'rewrite' => true,

    'capability_type' => 'page',

    'has_archive' => true, 

    'hierarchical' => false,

    'menu_position' => 20,

    'supports' => array( 'title' )

  ); 

  
 // 'supports' => array( 'title', 'editor' )

  register_post_type(WPCLICKPARTNERS_CPT_NAME, $args);

  


	flush_rewrite_rules();

}

add_action( 'init', 'WPCLICKPARTNERS_add_post_type' );


/* 
add_filter('template_include', 'WPCLICKPARTNERS_template_include', 1, 1); 

function WPCLICKPARTNERS_template_include($template){

    global $wp_query;

	

  

	if( ( get_query_var('post_type') == WPCLICKPARTNERS_CPT_NAME ) || ( is_front_page() && is_singular(WPCLICKPARTNERS_CPT_NAME) ) ) {

			$template = plugin_dir_path( __FILE__ ) . 'templates/cpt_template_xyz.php';

	}

	

    return $template;

	}
 */



// Allow CPT to be added to front page

function WPCLICKPARTNERS_add_to_front( $pages ){

    $WPCLICKPARTNERS_post_type = new WP_Query( array(

		'post_type' =>  array(

			WPCLICKPARTNERS_CPT_NAME

			)

		) );

     if ( $WPCLICKPARTNERS_post_type->post_count > 0 ) {

         $pages = array_merge( $pages, $WPCLICKPARTNERS_post_type->posts );

     }



    return $pages;

}

add_filter( 'get_pages', 'WPCLICKPARTNERS_add_to_front', 10, 2 );



// Stop CPT on front page from redirecting

function WPCLICKPARTNERS_enable_fps( $query ){



    if('' == $query->query_vars['post_type'] && 0 != $query->query_vars['page_id'])



        $query->query_vars['post_type'] = array( 'page', WPCLICKPARTNERS_CPT_NAME, WPCLICKPARTNERS_CPT_NAME );



}

add_action( 'pre_get_posts', 'WPCLICKPARTNERS_enable_fps' );

?>