<?php
/*
Plugin Name: WPClickPartners
Plugin URI: http://www.WPClickPartners.com/
Description: Easily track the performance of your clickbanking campaigns / adswap campaigns.
Version: 0.8
Author: WPClickPartners.com
Author URI: http://www.WPClickPartners.com/
License: GPL v2 or higher
*/
define( 'WPCLICKPARTNERS_WP_DIR', get_bloginfo('wpurl') );
define( 'WPCLICKPARTNERS_TEMPLATES', get_bloginfo('wpurl') );
define( 'WPCLICKPARTNERS_NAME', 'wplpt' );
define( 'WPCLICKPARTNERS_CPT_LABEL', 'Campaign' );
define( 'WPCLICKPARTNERS_CPT_NAME', 'wplpt' );



 if( !function_exists( 'add_action' ) ) {
	header('Status: 403 Forbidden');
	header('HTTP/1.1 403 Forbidden');
	exit;
 }

 
  add_filter('query_vars', 'WPCLICKPARTNERS_queryvars' );

function WPCLICKPARTNERS_queryvars( $qvars )
{

$qvars[] = 'returnurl';
$qvars[] = 'amount';
$qvars[] = 'subkey';
$qvars[] = 'saleskey';
$qvars[] = 'item';
$qvars[] = 'direction';
return $qvars;


}

//Initialize the metabox class
function WPCLICKPARTNERS_initialize_cmb_meta_boxes() {
	
	
	/* if (!function_exists('pw_multiselect')) {
		require_once 'addons/select/cmb-field-select2.php';
	
	} */
	
	if ( ! class_exists( 'cmb_Meta_Box' ) )
		require_once(plugin_dir_path( __FILE__ ) . '/lib/init.php');
		
	
}
add_action( 'init', 'WPCLICKPARTNERS_initialize_cmb_meta_boxes', 9999 );
//Add Meta Boxes
function WPCLICKPARTNERS_sample_metaboxes( $meta_boxes ) {
	$prefix = '_WPCLICKPARTNERS_'; // Prefix for all fields
	
	
	
	$meta_boxes[] = array(
		'id' => 'campaign_metabox',
		'title' => 'CAMPAIGN NAME',
		'pages' => array(WPCLICKPARTNERS_CPT_NAME), // Add Metabox to this CPT
		'context' => 'normal',
		'priority' => 'high',
		'show_names' => true, // Show field names on the left
		'fields' => array(
			
		//Inicio Items Metabox
		array(
				'name' => 'Campaign Name:',
				'desc' => 'Enter a name for this campaign.',
				'id' => $prefix . 'campaign_name',
				'type' => 'text_medium'
			),
		
		//Fin Items Metabox
		
		
		//Inicio Items Metabox
			 array(
			'name'             => 'Enabled',
			'desc'             => 'Select an option',
			'id'               => $prefix . 'partnercampaign_enabled',
			'type'             => 'select',
			'default'          => 'Enabled',
			'options'          => array(
				'Enabled' => __( 'Yes', 'cmb' ),
				'Disabled'   => __( 'No', 'cmb' ),
								
			),
		),
		
		//Fin Items Metabox

		
		
		//Inicio Items Metabox
		array(
				'name' => 'Partner Name:',
				'desc' => 'Enter the name of your click partner.',
				'id' => $prefix . 'partner_name',
				'type' => 'text_medium'
			),
		
		//Fin Items Metabox


					//Inicio Items Metabox
		array(
				'name' => 'Your Partner Url:',
				'desc' => 'Enter the url of the partner. This is for your reference.',
				'id' => $prefix . 'partner_url',
				'default' => 'http://www.',
				'type' => 'text_medium'
			),
		
		//Fin Items Metabox
		

		
		//Inicio Items Metabox
			 array(
			'name'             => 'Deal',
			'desc'             => 'Select an option',
			'id'               => $prefix . 'campaign_type',
			'type'             => 'select',
			'default'          => 'Ad Swap 1',
			'options'          => array(
				'Ad Swap (I Will Email First)' => __( 'Ad Swap (I Will Email First)', 'cmb' ),
				'Ad Swap (Parnter Will Email First)'   => __( 'Ad Swap (Partner Will Email First', 'cmb' ),
				'ClickBanking (I Will Send First)' => __( 'ClickBanking (I Will Send First)', 'cmb' ),
				'ClickBanking (I Will Send First'   => __( 'ClickBanking (Partner Will Send First)', 'cmb' ),
				'Other'   => __( 'Other', 'cmb' ),
			),
		),
		
		//Fin Items Metabox

		
		
		//Inicio Items Metabox
		array(
				'name' => 'Clicks Agreed: ',
				'desc' => 'Enter the number of clicks agreeded for this campaign.',
				'id' => $prefix . 'campaign_clicks',
				'default' => '0',
				'type' => 'text_small'
			),
		
		//Fin Items Metabox

	
		
		
		//Inicio Items Metabox
		array(
				'name' => 'Campaign Notes:',
				'desc' => 'Your personal notes for this campaign.',
				'id' => $prefix . 'campaign_comments',
				'type' => 'textarea'
			),
		
		//Fin Items Metabox
		
		
		
		),
	);
	
	
	
	
	$meta_boxes[] = array(
		'id' => 'summary_metabox',
		'title' => 'TARGET URLs',
		'pages' => array(WPCLICKPARTNERS_CPT_NAME), // Add Metabox to this CPT
		'context' => 'normal',
		'priority' => 'high',
		'show_names' => true, // Show field names on the left
		'fields' => array(
			
		
			
			array(
				'name' => 'Incoming Traffic Url (Your Url):',
				'desc' => 'Enter a url starting with http://www.',
				'default' => 'http://www.',
				'id' => $prefix . 'tier1_url',
				'type' => 'text_medium',
				
			),
		
		
		//Inicio Items Metabox
		array(
				'name' => 'Unique Clicks Received:',
				'desc' => 'Unique Clicks That Your Partner Has Sent To Your Url.',
				'id' => $prefix . 'clicks_unique',
				'default' => '0',
				'type' => 'text_small',
				'attributes'  => array(
						
					'readonly' => 'readonly',
					),
				
			),
		
		
		
		//Fin Items Metabox
		

		//Inicio Items Metabox
		array(
				'name' => 'Outgoing Traffic Url (Destination URL of Your Partner):',
				'desc' => 'Enter a url starting with http://www.',
				'default' => 'http://www.',
				'id' => $prefix . 'partner_tier1_url',
				'type' => 'text_medium',
			),
		
		
		
		//Inicio Items Metabox
		array(
				'name' => 'Expired Outgoing Traffic Url:',
				'desc' => 'If you have reached the number of clicks to send to your partner (or if for some reason you have disabled this campaign), your traffic will go to this url.',
				'default' => 'http://www.',
				'id' => $prefix . 'partner_tier1_url_disabled_expired',
				'type' => 'text_medium',
			),
		
		
		
		
		//Inicio Items Metabox
		array(
				'name' => 'Unique Clicks Sent:',
				'desc' => 'Total clicks that you have sent to your partner.',
				'id' => $prefix . 'partner_clicks_unique',
				'default' => '0',
				'type' => 'text_small',
				'attributes'  => array(
						
					'readonly' => 'readonly',
					),
			),
		
		
		
		
		
		
		
		
		
		
		
		),
	);
	
	
	
	
	
	$meta_boxes[] = array(
		'id' => 'authkeys_metabox',
		'title' => 'AUTHORIZATION KEYS TO TRACK ACTIONS',
		'pages' => array(WPCLICKPARTNERS_CPT_NAME), // Add Metabox to this CPT
		'context' => 'normal',
		'priority' => 'high',
		'show_names' => true, // Show field names on the left
		'fields' => array(
			
		//Inicio Items Metabox
		array(
				'name' => 'Authorization Key to Track FREE Subscriptions:',
				'desc' => 'Please read the user manual for more details.',
				'id' => $prefix . 'key_subs',
				'type' => 'text'
			),
		
		
		
		//Inicio Items Metabox
		array(
				'name' => 'Authorization Key to Track Sales:',
				'desc' => 'Please read the user manual for more details.',
				'id' => $prefix . 'key_sales',
				'type' => 'text'
			),
		
		
		
		//Fin Items Metabox
		
		),
	);
	
	
	
	
	
	
	
	
	
	
	
	
		
	
	
	
	
	
	
	
	
	
	
	//if (function_exists('WPCLICKPARTNERS_addon')) {
	
	//	include ('fullmetaboxes.php');
	
	//}else{
		include ('partialmetaboxes_in.php');
		include ('partialmetaboxes_out.php');
	//}
	

	

	
	
	
	
	
	
	
	
	
	return $meta_boxes;
}
add_filter( 'cmb_meta_boxes', 'WPCLICKPARTNERS_sample_metaboxes' );
include("cpt.php");	//Optional (Can Disable). This line adds a custom post type.
include("cpt_template_loader.php");	//Optional (Can Disable). This line adds a custom post type.


add_action('admin_menu', 'WPCLICKPARTNERS_create_menu');







function showcbpartner_function($atts, $content = null){

	  extract( shortcode_atts( array(
	  'campaignid' => ''
	 ), $atts ) 
	 
);

 $args = array(

        'name' => $slug,

        'post_type' => 'wplpt',

        'numberposts' => 1

    );
    
	
		$prefix = '_WPCLICKPARTNERS_';
		$post = get_post($campaignid);

		$partner_name = get_post_meta($post->ID, $prefix .'partner_name', true);
		
		$clicks_agreed = get_post_meta($post->ID, $prefix .'campaign_clicks', true);
		$clicks_sent_to_partner = get_post_meta($post->ID, $prefix .'partner_clicks_unique', true);
		
		
		$outgoing_url = get_post_meta($post->ID, $prefix .'partner_tier1_url', true);
		
		$campaign_enabled = get_post_meta($post->ID, $prefix .'campaign_enabled', true);
		
		//$clicks_sent_to_partner = (int)$clicks_sent_to_partner;
		//$clicks_agreed = (int)$clicks_agreed;
		

		//echo 'Clicks Agreed: '.$clicks_agreed .'<br>' ;
		//echo 'Clicks Sent To Partner: '. $clicks_sent_to_partner .'<br>' ;
		
		if ($clicks_sent_to_partner == '' or $clicks_sent_to_partner == 'NA'){
			$clicks_sent_to_partner = 0;
		
		}
		
		
		
		$the_perma = get_permalink($post->ID);
		
		//echo 'Permalink: ' . $the_perma . '<br>';
		
		//$the_perma2 = str_replace(home_url(), '', get_permalink($post->ID)); 
		
		//echo 'Permalink No Domain : ' . $the_perma2 . '<br>';
		
		
		if ($clicks_sent_to_partner < $clicks_agreed or $campaign_enabled == 'Enabled'){
			//echo 'Hay que enviar <br>';
			$new_content = '<a href="' . $the_perma. '?direction=out" target= "_blank"' . $content.  '</a>';
			return $new_content;
		}else{
			//echo 'NO Hay que enviar <br>';
			
		}
		
		//var_dump($clicks_sent_to_partner);
		
		

		//echo 'test';
	
}



add_shortcode('showcbpartner','showcbpartner_function');



function WPCLICKPARTNERS_create_menu(){
    //For user role setup 
	$current_user = wp_get_current_user(); 
	$role=$current_user->roles[0];
	$showrole='administrator';
	add_submenu_page('edit.php?post_type=wplpt', __('Settings','menu-test'), __('Settings','WPCLICKPARTNERS_render_form'), 'manage_options', 'WPCLICKPARTNERS_render_form', 'WPCLICKPARTNERS_render_form');
	
	
}


// Render the Plugin options form
function WPCLICKPARTNERS_render_form() {
	?>
	<div class="wrap">
		
		<!-- Display Plugin Icon, Header, and Description -->
		<div class="icon32" id="icon-options-general"><br></div>
		<h2>WPClickPartners Settings</h2>

		<!-- Beginning of the Plugin Options Form -->
		<form method="post" action="options.php">
				<?php if( isset($_GET['settings-updated']) ) { ?>
					<div id="message" class="updated">
					<p><strong><?php _e('Settings saved.') ?></strong></p>
					</div>
				<?php } ?>
			<?php settings_fields('WPCLICKPARTNERS_plugin_options'); ?>
			<?php $options = get_option('WPCLICKPARTNERS_options'); ?>

			
			
			
			

			
			

			<?php
				// echo 'Valor Dropdown: '. $options['WPCLICKPARTNERS_drp_timezone'] . '<br><br>';
			
			


			$tier1 = $options['WPCLICKPARTNERS_tier1'];
			if ($tier1 == '') {
				$tier1 = 'US&#10;CA&#10;GB&#10;NZ&#10;AU';
				
				}	


				
				$tier2 = $options['WPCLICKPARTNERS_tier2'];
				if ($tier2 == '') {
				$tier2 = 'AL&#10;DZ&#10;AD&#10;AO&#10;AI&#10;AG&#10;AR&#10;AM&#10;AW&#10;AT&#10;AZ&#10;BS&#10;BH&#10;BB&#10;BE&#10;BZ&#10;BJ&#10;BM&#10;BT&#10;BO&#10;BA&#10;BW&#10;BR&#10;BN&#10;BG&#10;BF&#10;BI&#10;KH&#10;CV&#10;KY&#10;TD&#10;CL&#10;CN&#10;C2&#10;CO&#10;KM&#10;CD&#10;CG&#10;CK&#10;CR&#10;HR&#10;CY&#10;CZ&#10;DK&#10;DJ&#10;DM&#10;DO&#10;EC&#10;EG&#10;SV&#10;ER&#10;EE&#10;ET&#10;FK&#10;FJ&#10;FI&#10;FR&#10;GF&#10;PF&#10;GA&#10;GM&#10;GE&#10;DE&#10;GI&#10;GR&#10;GL&#10;GD&#10;GP&#10;GU&#10;GT&#10;GN&#10;GW&#10;GY&#10;VA&#10;HN&#10;HK&#10;HU&#10;IS&#10;IN&#10;ID&#10;IE&#10;IL&#10;IT&#10;JM&#10;JP&#10;JO&#10;KZ&#10;KE&#10;KI&#10;KR&#10;KW&#10;KG&#10;LA&#10;LV&#10;LS&#10;LI&#10;LT&#10;LU&#10;MG&#10;MW&#10;MY&#10;MV&#10;ML&#10;MT&#10;MH&#10;MQ&#10;MR&#10;MU&#10;YT&#10;MX&#10;FM&#10;MN&#10;MS&#10;MA&#10;MZ&#10;NA&#10;NR&#10;NP&#10;NL&#10;AN&#10;NC&#10;NI&#10;NE&#10;NU&#10;NF&#10;NO&#10;OM&#10;PW&#10;PA&#10;PG&#10;PE&#10;PH&#10;PN&#10;PL&#10;PT&#10;QA&#10;RE&#10;RO&#10;RU&#10;RW&#10;SH&#10;KN&#10;LC&#10;PM&#10;VC&#10;WS&#10;SM&#10;ST&#10;SA&#10;SN&#10;RS&#10;SC&#10;SL&#10;SG&#10;SK&#10;SI&#10;SB&#10;SO&#10;ZA&#10;KR&#10;ES&#10;LK&#10;SR&#10;SJ&#10;SZ&#10;SE&#10;CH&#10;TW&#10;TJ&#10;TZ&#10;TH&#10;TG&#10;TO&#10;TT&#10;TN&#10;TR&#10;TM&#10;TC&#10;TV&#10;UG&#10;UA&#10;AE&#10;UY&#10;VU&#10;VE&#10;VN&#10;VG&#10;WF&#10;YE&#10;ZM';
				
				}	

				
				
				

				
			?>
			
				
			<!-- General Switching Process -->

			
					
					<h4>Tier 1 Countries:</h4>	
					
					<textarea name="WPCLICKPARTNERS_options[WPCLICKPARTNERS_tier1]" rows="5" cols="50" type='textarea'><?php echo $tier1; ?></textarea><br /><span style="color:#666666;margin-left:2px;"></span>

				<h4>Tier 2 Countries (Other Countries Where PayPal is Supported):</h4>	
			
				<textarea name="WPCLICKPARTNERS_options[WPCLICKPARTNERS_tier2]" rows="5" cols="50" type='textarea'><?php echo $tier2; ?></textarea><br /><span style="color:#666666;margin-left:2px;"></span>

				<div>Comment: The rest of the countries (countries not marked as T1 or T2), are considered as T3.</div>
			
				
			<p class="submit">
			<input type="submit" class="button-primary" value="<?php _e('Save Changes') ?>" />
			</p>
		</form>

	
	</div>
	<?php	
}




// Sanitize and validate input. Accepts an array, return a sanitized array.
function WPCLICKPARTNERS_validate_options($input) {
	 // strip html from textboxes
	return $input;
}





//Inicio Columnas Para CPT

add_filter('manage_edit-wplpt_columns', 'add_new_wplpt_columns');


include ('render_overview.php');


add_action('manage_wplpt_posts_custom_column', 'manage_wplpt_columns', 10, 2); 


//FIN Columnas Para CPT






function wplpt_percentage($val1, $val2, $precision) 
{
	$division = $val1 / $val2;

	$res = $division * 100;

	$res = round($res, $precision);
	
	return $res;
}



?>